Subject: bug#13112: 24.2.90; The cygw32 build should disable X11

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Dec 2012 10:06:02 +0200

> From: Burton Samograd <[email-masked]>
> Date: Fri, 07 Dec 2012 18:51:59 -0700
> 
> >>> Are you saying that xterm.c, xfns.c, and xmenu.c are compiled into a
> >>> cygw32 Emacs?  They shouldn't, AFAIU.
> >> 
> >> They are on my build, but I have the proper X11 headers and libraries
> >> installed in my cygwin. I like it that way so I can display my emacs
> >> with an x-server.
> >
> > But you didn't build Emacs with --with-w32, did you? As much as I'd
> > like a single Emacs binary to support both X11 and W32, we're a long
> > way away from there.
> 
> No, I don't use --with-w32.

Then yours is not the cygw32 build, and I was asking only about that.

> I just wanted to make sure a feature I use didn't get removed from
> the build :)

How can you seriously think we would consider removing X11 support
from Emacs?